<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100166";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

	//////Arrastrando campos del Formulario  
		$SkuPG=$_POST['txt_SKU'] or $SkuPG=$_GET['txt_SKU'];
		$CantPG=$_POST['txt_AjusteA'] or $CantPG=$_GET['txt_AjusteA'];
		$UbicaPG=strtoupper($_POST['txt_UBI']) or $UbicaPG=strtoupper($_GET['txt_UBI']);
		$CaliPG=$_POST['txt_CambioCal'] or $CaliPG=$_GET['txt_CambioCal'];
		$ObservaPG=$_POST['txt_OBS'] or $ObservaPG=$_GET['txt_OBS'];
		$Nota1PG=$_POST['txt_NOTA1'] or $Nota1PG=$_GET['txt_NOTA1'];
		$Nota2PG=$_POST['txt_NOTA2'] or $Nota2PG=$_GET['txt_NOTA2'];
		$LoteAPG=$_POST['txt_LOTE'] or $LoteAPG=$_GET['txt_LOTE'];
		$LotePrAPG=$_POST['txt_LOTEPR'] or $LotePrAPG=$_GET['txt_LOTEPR'];
		$TAlmPG=$_POST['Cmb_TipAlm'] or $TAlmPG=$_GET['Cmb_TipAlm'];
			
			//////Validar campos en blanco////////////
		if ($SkuPG=="")
			{ ////Inicia If Sku Vacio
			echo "<script>alert('Favor de digitar y/o seleccionar el codigo Sku a Ajustar.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Sku Vacio
			
		if ($CantPG=="")
			{ ////Inicia If Cantidad Vacia
			echo "<script>alert('Favor de digitar la Cantidad a Ajustar.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Cantidad Vacia
			
		if ($UbicaPG=="")
			{ ////Inicia If Ubicación Vacia
			echo "<script>alert('Favor de digitar y/o seleccionar la Ubicación en donde se procesara el Ajuste.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Ubicación Vacia
		
		if ($CaliPG=="N/A")
			{ ////Inicia If Calidad Vacia
			echo "<script>alert('Favor de seleccionar el Estado de Calidad con el cual se procesara el Ajuste.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Calidad Vacia
			
		if ($TAlmPG=="N/A")
			{ ////Inicia If Calidad Vacia
			echo "<script>alert('Favor de seleccionar el Tipo de Almacén con el cual se procesara el Ajuste.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Calidad Vacia
			
				///// Identificar si el Motivo de Ajuste realmente existe/////
				$sqlMA = mysql_query("select * from tabla_motivoajuste WHERE CVE_CUENTA='$CveCueCR1' AND CVE_AJUSTE='CPN'");
				if (mysql_numrows($sqlMA)==0)
				{ ////Inicia If Identificar Catalogo Motivo Ajuste
					echo "<script>alert('El motivo de Ajuste configurado No existe dentro del catalogo de Motivos de Ajuste.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ////Inicia Else Identificar Catalogo Motivo Ajuste

				////Validar si el Sku Existe
				$sql_VE = mysql_query("select SKU,SKU_ALT from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuPG'");
				if (mysql_numrows($sql_VE)==0) 
				{
					echo "<script>alert('El Codigo Sku digitado No existe dentro del catalogo de Articulos.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{///Inicia Else Valida Existencia Sku
				
				////Validar si la Ubicación Existe
				$sql_VE2 = mysql_query("select CLAVEUBICACION,PASILLO from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicaPG'");
				if (mysql_numrows($sql_VE2)==0) 
				{
					echo "<script>alert('La Ubicación digitada No existe dentro del catalogo de Ubicaciones.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{///Inicia Else Valida Existencia de Ubicación
				
				////Validar si la Calidad Existe
				$sql_VE3 = mysql_query("select NOMBRE_ESTADO from tabla_estadosdecalidad WHERE CVE_CUENTA='$CveCueCR1' AND CVE_ESTADO='$CaliPG'");
				if (mysql_numrows($sql_VE3)==0) 
				{
					echo "<script>alert('El Estado de Calidad Seleccionado No existe dentro del catalogo de Control de Calidad.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{///Inicia Else Valida Existencia de Calidad
				
////&&&&&&&&&&&&&&&&&&&&&&&&&Inicia Proceso General&&&&&&&&&&&&&&&&&&&&&&&&&////
				
				////Identificar los Datos Logisticos del Codigo
				///$sql_DA = mysql_query("select SKU_ALT,DESCRIPCION,PIEZASXCAJA,CAJASXPALLET from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuPG'");
				$sql_DA = mysql_query("select SKU_ALT,DESCRIPCION,PZASXCAJA,CAJAXPALLET from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuPG'");
				if (mysql_numrows($sql_DA)==0) echo "";
				else{
				$registro_DA=mysql_fetch_array($sql_DA);
				}
				if (mysql_numrows($sql_DA)>0)
				{
				$SkuA_DA=$registro_DA["SKU_ALT"];
				$Desc_DA=$registro_DA["DESCRIPCION"];
				$PxCa_DA=$registro_DA["PZASXCAJA"];
				$CaxP_DA=$registro_DA["CAJAXPALLET"];
				}

////Inicia Proceso Documento 01										
					////Identificar el prefijo configurado para el documento de Ajuste (wms_configura_crepal)
					$sql_ACP = mysql_query("select * from wms_configura_crepal WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sql_ACP)==0) echo "";
					else{
					$registro_ACP=mysql_fetch_array($sql_ACP);
					}
					if (mysql_numrows($sql_ACP)>0)
					{
					$PrefijoACP=$registro_ACP["PREFIJO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocaju
					$FechaDocuRes=date("Ymd");
					$sqlDS_2 = "select max(IDINCRE) as ultimo_FOLIODS_2 from tabla_consedocaju WHERE FECHA='$FechaDocuRes'"; 
					$libDS_2 = mysql_query($sqlDS_2); 
					$rs_libDS_2 = mysql_fetch_assoc($libDS_2); 
					$id_nuevoDS = $rs_libDS_2['ultimo_FOLIODS_2'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoACP.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generar Folio para Guardar el Concecutivo del Pallet
					$sql_GG2 = "select max(ID) as ultimo_FOLIO_GG2 from tabla_consedocaju"; 
					$lib_GG2 = mysql_query($sql_GG2); 
					$rs_lib_GG2 = mysql_fetch_assoc($lib_GG2); 
					$id_nuevo_GG2 = $rs_lib_GG2['ultimo_FOLIOP_GG2'] + 1;
									
					////Guardar en la BD
					$sql_GCP2 = "insert tabla_consedocaju (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevo_GG2','$CveBodCR1','$CveCueCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultado_GCP2=mysql_query($sql_GCP2,$conexion) or die(mysql_error());
					
////Termina Proceso Documento 01				
					
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$FechaOk=date("Y/m/d");
					
////Inicia Proceso Pallet 02
				/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
				////Generador de Folio para Guardar el Conecutivo de la Clave de Pallet
					$FechaPallet=date("Ymd");
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					////Generar Folio para Guardar el Concecutivo del Pallet
					$sql_GG1 = "select max(ID) as ultimo_FOLIO_GG1 from tabla_consepallet"; 
					$lib_GG1 = mysql_query($sql_GG1); 
					$rs_lib_GG1 = mysql_fetch_assoc($lib_GG1); 
					$id_nuevo_GG1 = $rs_lib_GG1['ultimo_FOLIO_GG1'] + 1;
									
					////Guardar en la BD
					$sql_GCP2 = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevo_GG1','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocPG','$ClavePallet','$FechaPallet')";
					$resultado_GCP2=mysql_query($sql_GCP2,$conexion) or die(mysql_error());

////Termina Proceso Pallet 02					
						
					////generador de Folio en el Inventario
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoNUEPA = $rs_lib['ultimo_FOLIO'] + 1;
					
					////Asignación de Armado del Ajuste
					$ArmPallOri="1 pallet de ".$CantPG." piezas";
					
					////Asignar Lote WMS
					$L_Wms="LWMS".$FechaPallet;
					
					/////Vigencia de Documento
					$FechaCadu = strtotime ( '+3650 day' , strtotime ( $FechaOk ) ) ;
					$FechaCadu = date ( 'Y/m/d' , $FechaCadu );
					
					////Identificar la prioridad de la ubicación
					$sql_VE4 = mysql_query("select PRIORIDAD from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicaPG'");
					if (mysql_numrows($sql_VE4)==0) echo "";
					else{
					$registro_VE4=mysql_fetch_array($sql_VE4);
					}
					if (mysql_numrows($sql_VE4)>0)
					{
					$Prio_VE4=$registro_VE4["PRIORIDAD"];
					}
					
					////Identificar el Tipo de Ubicación
					$sql_VE5 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicaPG'");
					if (mysql_numrows($sql_VE5)==0) echo "";
					else{
					$registro_VE5=mysql_fetch_array($sql_VE5);
					}
					if (mysql_numrows($sql_VE5)>0)
					{
					$TiUb_VE5=$registro_VE5["TIPODEUBICACION"];
					}
					
					////Guardar el Pallet Nuevo dentro del Inventario
					$sql_GPN = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        		values('$id_nuevoNUEPA','$CveBodCR1','$CveCueCR1','$NoDocPG','$NoDocPG','$SkuPG','$SkuA_DA','$Desc_DA','$FechaOk','$CantPG','$LoteAPG','$L_Wms','$LotePrAPG','$FechaCadu','$NoDocPG','ACPN001','$PxCa_DA','$CaxP_DA','$ArmPallOri','$ClavePallet','$UbicaPG','$Prio_VE4','$TiUb_VE5','$CaliPG','$UsuEn','$HoraOK','$FechaOk','$TAlmPG')";
					$resultado=mysql_query($sql_GPN,$conexion) or die(mysql_error());

////Inicia Proceso de Guardado en el Kardex 03
			
						$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
						$libPK = mysql_query($sqlIDPK); 
						$rs_libPK = mysql_fetch_assoc($libPK); 
						$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
			
						/////////// Guardar el Registro nuevo en el Kardex ///////////		
						$NombreMovimiento="AJUSTE CREA";
						$sqlGK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuPG','$SkuA_DA','$NoDocPG','$NombreMovimiento','$UbicaPG','$ClavePallet','$CantPG','$FechaOk','$HoraOK','$UsuEn')";
						$resultadoGK=mysql_query($sqlGK,$conexion) or die(mysql_error());

////Termina Proceso de Guardado en el Kardex 03

////Inicia Proceso de Guardado en el Ajsutes 04
						
						/////////// Generador de Folio para Guardar el Ajuste en la tabla_ajustes ///////////		
						$sql_TA = "select max(ID) as ultimo_FOLIO_TA from tabla_ajustes"; 
						$lib_TA = mysql_query($sql_TA); 
						$rs_lib_TA = mysql_fetch_assoc($lib_TA); 
						$id_nuevo_TA = $rs_lib_TA['ultimo_FOLIO_TA'] + 1;
						
						/////////// Guardar el Ajuste en la tabla_ajustes ///////////			
						$sqlGA1 = "insert tabla_ajustes (ID,CVE_BODEGA,CVE_CUENTA,PALLET,SKU,DESCRIPCION,C_ORIGINAL,C_AJUSTE,C_RESULTANTE,MOTIVO,OBSERVACIONES,NOTA_1,NOTA_2,FECHA,HORA,USUARIO)
					values('$id_nuevo_TA','$CveBodCR1','$CveCueCR1','$ClavePallet','$SkuPG','$Desc_DA','0','$CantPG','$CantPG','CPN','$ObservaPG','$Nota1PG','$Nota2PG','$FechaOk','$HoraOK','$UsuEn')";
						$resultadoGA1=mysql_query($sqlGA1,$conexion) or die(mysql_error());

////Termina Proceso de Guardado en el Ajsutes 04
						
						////Confirmar proceso y regresar
						echo "<script>alert('AJUSTE PROCESADO CORRECTAMENTE');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=118-AjusteCreaPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

			
			} ///Termina Else Valida Existencia de Calidad
			} ///Termina Else Valida Existencia de Ubicación
			} ///Termina Else Valida Existencia Sku
			} ////Termina Else Identificar Catalogo Motivo Ajuste
			} ////Termina Else Calidad Vacio
			} ////Termina Else Tipo de Almacén Vacio
			} ////Termina Else Ubicación Vacio
			} ////Termina Else Cantidad Vacio
			} ////Termina Else Sku Vacio
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>